@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;500;600;700;800&display=swap');
@import url('./variables.css');

* {
  padding: 0;
  margin: 0;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

button {
  border: none;
  margin: 0;
  padding: 0;
  width: auto;
  overflow: visible;
  background: transparent;

  /* inherit font & color from ancestor */
  color: inherit;
  font: inherit;

  /* Normalize `line-height`. Cannot be changed from `normal` in Firefox 4+. */
  line-height: normal;

  /* Corrects font smoothing for webkit */
  -webkit-font-smoothing: inherit;
  -moz-osx-font-smoothing: inherit;

  /* Corrects inability to style clickable `input` types in iOS */
  appearance: none;
}

input {
  outline: none;
}

html,
body,
#root {
  height: 100%;
}

a {
  text-decoration: none;
  color: var(--text-main);
}

body {
  font-family: Nunito, sans-serif;
  background-color: var(--main-color);
  line-height: 14px;
  color: var(--text-main);
}

.wrapper {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.content {
  display: flex;
  flex-direction: column;
  flex: 1 0 auto;
  background-color: white;
}

.footer {
  flex: 0 0 auto;
}

.container {
  width: 992px;
  margin: 0 auto;
}
